package com.fs.chat.mapper;

import com.fs.chat.domain.ChatDatasetFile;

import java.util.List;

/**
 * 文件Mapper接口
 * 
 * @author fs
 * @date 2024-04-21
 */
public interface ChatDatasetFileMapper 
{
    /**
     * 查询文件
     * 
     * @param fileId 文件主键
     * @return 文件
     */
    public ChatDatasetFile selectChatDatasetFileByFileId(Long fileId);

    /**
     * 查询文件列表
     * 
     * @param chatDatasetFile 文件
     * @return 文件集合
     */
    public List<ChatDatasetFile> selectChatDatasetFileList(ChatDatasetFile chatDatasetFile);

    /**
     * 新增文件
     * 
     * @param chatDatasetFile 文件
     * @return 结果
     */
    public int insertChatDatasetFile(ChatDatasetFile chatDatasetFile);

    /**
     * 修改文件
     * 
     * @param chatDatasetFile 文件
     * @return 结果
     */
    public int updateChatDatasetFile(ChatDatasetFile chatDatasetFile);

    /**
     * 删除文件
     * 
     * @param fileId 文件主键
     * @return 结果
     */
    public int deleteChatDatasetFileByFileId(Long fileId);

    /**
     * 批量删除文件
     * 
     * @param fileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatDatasetFileByFileIds(Long[] fileIds);
}
